{% extends 'base.html.twig' %}

{% block title %}{{parent()}} Lieu{% endblock %}

{% block body %}
  <div class="row">
    <h1 class="mb-4 display-1">
      <span class="text-muted">Lieu :</span> {{location.name}}
    </h1>

    <div class="accordion mb-4">

      <div class="accordion-item">

        <h2 class="accordion-header">
          <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-infos" aria-controls="collapse-infos">
            Informations
          </button>
        </h2>

        <div id="collapse-infos" class="accordion-collapse collapse show" >
          <div class="accordion-body">
            <ul class="list-group list-group-flush">

              <li class="list-group-item">
                <span class="metadata-name">
                  Type
                </span> 
                {% for type in location.types %}
                  {{type.name}}
                  {{ not loop.last ? ',' }}
                {% endfor %}
              </li>

              {% if location.parent %}
              <li class="list-group-item">
                <span class="metadata-name">
                  Parent
                </span> 
                {% for loc in recursiveLocationParents(location) %}                    
                     <a href="{{path('location', {id: loc.id})}}">{{loc.name}}</a> 
                      {{ not loop.last ? ',' }}
                  {% endfor %}
              </li>
              {% endif %}

              {% if location.address is not null %}
              <li class="list-group-item">
                <span class="metadata-name">
                  Adresse
                </span> 
                {{location.address}}
              </li>
              {% endif %}
            </ul>

          </div>
        </div>
      </div>

      {% set performances = recursiveLocationPerformances(location) %}
        
      {% if performances is not empty %}
      <div class="accordion-item">

        <h2 class="accordion-header">
          <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-performances" aria-controls="collapse-performances">
            Représentations ({{performances|length}})
          </button>
        </h2>

        <div id="collapse-performances" class="accordion-collapse collapse show" >
          <div class="accordion-body">

           <table id="datatable" class="table table-striped">
              <thead>
                <tr>
                  <th scope="col">Titre</th>
                  <th scope="col">Date</th>
                  <th scope="col">Lieu</th>
                </tr>
              </thead>
              <tbody>
                {% for performance in performances %}
                  <tr>
                    <td scope="col">
                            {% include 'performance/externalRef.html.twig' with {'date':'True'}%}
                    </td>
                    <td scope="col">
                    {{ interval( performance.start, performance.end) }}
                    </td>
                    <td scope="col">
                      {% if performance.location != location %}
                          {% for loc in recursiveIntermediaryParents(performance.location, location) %}                    
                            <a href="{{path('location', {id: loc.id})}}">{{loc.name}}</a> 
                              {{ not loop.last ? ',' }}
                          {% endfor %}
                      {% endif %}                    
                    </td>
                  </tr>
                {% endfor %}
              </tbody>
            </table>

          </div>
        </div>

      </div>
    {% endif %}

  </div>
</div>
{% endblock %}
